# FIXEOL

Section: (1)

## NAME

fixeol - Fix text file line endings for the current platform.

## USAGE

fixeol [file ...]

## SYNOPSIS

Convert one or more files created on any other platform to have line endings appropriate for this one:

        fixeol dosfile.txt

After running fixeol, dosfile.txt will contain appropriate line endings.

## DESCRIPTION

Fixeol reads a text file with lines terminated by newline, return, newline/return, or return/newline and converts the file to one that has lines terminated according to the system for which this program was compiled. Works for Mac (MPW C and THINK C), DOS, and UNIX.

The file is fixed in place except in the case of some error, in which case the original file is unchanged.

If no file names are given on the command line, fixeol filters from stdin to stdout. e.g. cat *.fasta | fixeol >AllSequences.fasta

c.f. dos2unix(1). fixeol will not clobber files by mistake. Also fixeol is meant to be portable to systems other than Unix. fixeol is simpler without command line options. dos2unix has options appropriate for Unix.

## SEE ALSO

dos2unix(1)

## AUTHOR

Eric Blossom

## COPYRIGHT

Copyright (c) 1997-2004, Blossom Associates West. All Rights Reserved.

## Index

NAME
USAGE
SYNOPSIS
DESCRIPTION
SEE ALSO
AUTHOR
COPYRIGHT

This document was created by man2html, using the manual pages.
Time: GMT, March 17, 2004